hadoop-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ted Yu <yuzhih...@gmail.com>
Subject Re: (Classpath?) Problem with MiniDFSCluster and HBase jars
Date Thu, 25 Feb 2016 16:50:27 GMT
You can include the following command line parameter when you build from
1.1.2 source:

-Dhadoop-two.version=2.7.1

FYI

On Thu, Feb 25, 2016 at 8:37 AM, Micha <micha-1@fantasymail.de> wrote:

> Hi,
>
> I ran into classpath problems while trying to use MiniDFSCluster:
>
> My code uses the hadoop (2.7.1) and hbase (1.1.2) api, my classpath
> includes hadoop/share/hadoop/*.jar and hbase/lib/*.jar, so nothing
> should be missing.
> But I got "class not found errors" in the code using MiniDFSCluster.
>
> Then I realized that the hadoop jars in hbase/libs are older (2.5.1)
> than the hadoop jars of my hadoop release (2.7.1)
>
> After replacing all 2.5.1 jars in hbase/lib with the 2.7.1 version files
> from hadoop/share/hadoop the errors are gone and the tests ran fine.
>
> So, is this the right method to do this (no maven!) ?
> Or, if this is a misconfiguration of my classpath, how to do it right?
>
>
> thanks for answering,
>  Michal
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@hadoop.apache.org
> For additional commands, e-mail: user-help@hadoop.apache.org
>
>

Mime
View raw message